Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class CRect

    java.lang.Object
      controlP5.CRect

    public class CRect

extends java.lang.Object

Convenience class used for intersections.

Constructor Summary
`CRect()`
`CRect(CRect theRect)`
`CRect(float theX, float theY, float theWidth, float theHeight)`

Method Summary
`float` | `height()`
`void` | `height(float theHeight)`
`static boolean` | `inside(CRect theRect, float theX, float theY)`
`static boolean` | `inside(CRect theRect, processing.core.PVector theVector)`
`java.lang.String` | `toString()`
`float` | `width()`
`void` | `width(float theWidth)`
`float` | `x()`
`void` | `x(float theX)`
`float` | `x0()`
`void` | `x0(float theX0)`
`float` | `x1()`
`void` | `x1(float theX1)`
`float` | `y()`
`void` | `y(float theY)`
`float` | `y0()`
`void` | `y0(float theY0)`
`float` | `y1()`
`void` | `y1(float theY1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRect

    public CRect()

### CRect

    public CRect(float theX,
                 float theY,
                 float theWidth,
                 float theHeight)

### CRect

    public CRect(CRect theRect)

Method Detail

### x

    public float x()

### y

    public float y()

### x0

    public float x0()

### y0

    public float y0()

### x1

    public float x1()

### y1

    public float y1()

### x

    public void x(float theX)

### y

    public void y(float theY)

### x0

    public void x0(float theX0)

### y0

    public void y0(float theY0)

### x1

    public void x1(float theX1)

### y1

    public void y1(float theY1)

### width

    public float width()

### height

    public float height()

### width

    public void width(float theWidth)

### height

    public void height(float theHeight)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### inside

    public static boolean inside(CRect theRect,
                                 processing.core.PVector theVector)

### inside

    public static boolean inside(CRect theRect,
                                 float theX,
                                 float theY)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2011